Skip to main content
PUT
/
contacts
/
{contact_id}
/
topics
/
{topic_id}
Update a contact topic subscription
curl --request PUT \
  --url https://api.sendrealm.com/contacts/{contact_id}/topics/{topic_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_subscribed": true
}
'
{
  "status": 123,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "details": null
  }
}

Endpoint

PUT /contacts/:contact_id/topics/:topic_id

Request body

{
  "is_subscribed": true
}

Response

{
  "data": {
    "id": "0df0fc92-89f2-4f23-a9e6-e9da2f3c1685",
    "contact_id": "c671f89b-3ec1-4c58-9ad2-4ef8c2917cda",
    "topic_id": "8c3c4d0e-f7f3-4d7f-92ae-b1498f6a2fa9",
    "is_subscribed": true,
    "subscribed_at": "2026-06-08T15:12:00.000Z",
    "unsubscribed_at": null
  }
}
Successful updates also emit sendrealm.topic.subscribed or sendrealm.topic.unsubscribed.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contact_id
string<uuid>
required
topic_id
string<uuid>
required

Body

application/json
is_subscribed
boolean
required

Response

Subscription updated